## org.hibernate.property
Class BackrefPropertyAccessor.BackrefSetter

    java.lang.Object
      org.hibernate.property.BackrefPropertyAccessor.BackrefSetter

All Implemented Interfaces:
  Serializable, Setter

Enclosing class:
  BackrefPropertyAccessor

    public static final class BackrefPropertyAccessor.BackrefSetter

extends Object
implements Setter

Internal implementation of a property setter specific to these back-ref properties.

See Also:
  Serialized Form

Constructor Summary
`BackrefPropertyAccessor.BackrefSetter()`

Method Summary
`Method` `getMethod()` Optional operation (return null)
`String` `getMethodName()` Optional operation (return null)
`void` `set(Object target, Object value, SessionFactoryImplementor factory)` Set the property value from the given instance

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BackrefPropertyAccessor.BackrefSetter

    public BackrefPropertyAccessor.BackrefSetter()

Method Detail

### getMethod

    public Method getMethod()

  Optional operation (return null)

  Specified by:
    `getMethod` in interface `Setter`

### getMethodName

    public String getMethodName()

  Optional operation (return null)

  Specified by:
    `getMethodName` in interface `Setter`

### set

    public void set(Object target,
                    Object value,
                    SessionFactoryImplementor factory)

  Set the property value from the given instance

  Specified by:
    `set` in interface `Setter`
  Parameters:
    `target` - The instance upon which to set the given value.
    `value` - The value to be set on the target.
    `factory` - The session factory from which this request originated.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.